Ubuntu

Ubuntu grub should be deluxe and animated like OpenSUSE grub

Reported by Sitsofe Wheeler on 2005-10-18
130
This bug affects 8 people
Affects Status Importance Assigned to Milestone
grub (Baltix)
Undecided
Unassigned
grub (Ubuntu)
Wishlist
Unassigned
Declined for Gutsy by Colin Watson
Declined for Hardy by Brian Murray
Declined for Intrepid by Brian Murray
Declined for Karmic by Steve Langasek
Declined for Maverick by Sebastien Bacher

Bug Description

After installation, the OpenSUSE 10 grub puts up a jpeg background, has an animated count down, pop up help, scrolling menus and is generally rather beautiful. It would be great if Ubuntu could also use this "deluxe grub" where possible too.

Jeroen (jeroenubuntu) wrote :

If the OpenSuse 10 grub is (by default) as beautiful or more beautiful than the Suse 9.3 grub, I agree.

My apologies Jeroen, I should have tried to show what it looks like.

http://shots.osdir.com/slideshows/406_or/2.png

(this is a shot from the boot CD's grub but it is very similar to the default grub screen after installation other than the options at right)

The gecko head on the left has a circular group of dots around it. These dots disappear in a clockwise fashion as a counter beneath the gecko head counts down towards 0.

The list of options at the right scrolls up and down to make non visible options available and the highlight bar is actually slightly transparent (not clear on this screenshot but if you have a picture of a house as the backdrop then it more obvious).

Pressing the F1 pops up little dialog window (complete with titlebar) which can scroll text up and down. I'm fairly sure F2 does something similar but I would have to reboot to check. F3 opens a line below the list of options on the right and allows you to edit grub options for the selected option (although there is no tab complete).

Pressing escape pops up a dialog saying that it will fall back to the default grub. Pressing OK on that window shows a grub more similar to that of Ubuntu's.

Alas I cannot find a picture of Ubuntu's grub to contrast it with. All the shots I have found are from the boot CD which is not the same as the meny that appears after you finish an install.

Grub is a main component, should be reported in bugzilla.

I don't want to sign up for any more bug tracking systems and I was pointed to this one:
http://lists.ubuntu.com/archives/ubuntu-devel/2005-October/012130.html
You are of course right (see bug #3230 ) but the way I hear it eventually all bugs will be migrated here...

Chuck Short (zulcss) on 2006-03-05
Changed in grub:
assignee: nobody → zulcss
Colin Watson (cjwatson) wrote :

We'll think about this after Dapper; I don't want to destabilise grub by adding gfxboot support to it before then.

Sitsofe Wheeler (sitsofe) wrote :

Will there be another look at this after edgy or has this been permanently vetoed?

Alex Vaughn (aevaughn) wrote :

Based on C. Watson's comment, I don't think so. However, I would make a feature request, when the development on the next release starts (probably around January). https://features.launchpad.net/distros/ubuntu/+addspec

Hi

I will also like to have this. As a matter of fact, there's currently an unofficial deb in the forums with a patched grub with gfxboot support, so I think is is going to be a typical "common customization" for edgy and next releases...

thanks

I've found patches in archlink against grub 0.97 here:
http://aur.archlinux.org/packages/grub-gfxboot/grub-gfxboot/

Sitsofe Wheeler (sitsofe) wrote :

Tormod:

I don't think Bug #19251 is a duplicate of this one. That bug is mainly asking for old kernels to be removed when a new kernel is installed and mentions a prettier grub in passing.

Any news of this for feisty?

I can see that on an edgy system:

$ apt-cache search gfxboot
gfxboot - bootlogo creator for gfxboot compliant boot loaders
gfxboot-theme-ubuntu - Ubuntu theme for gfxboot-compliant boot loaders
gfxboot-theme-nld - NLD theme for gfxboot-compliant boot loaders
gfxboot-theme-sles - SLES theme for gfxboot-compliant boot loaders
gfxboot-theme-suse - SuSE theme for gfxboot-compliant boot loaders

Theres seems to be the necessary but it's not activated by default.
I don't think this would happen in feisty as feisty is soon to be released.
Please write a spec (https://features.launchpad.net/distros/ubuntu/+addspec) for feisty+1

Akito (icefiresnowwolf) wrote :

Is this going into the version after feisty?

Alex Mayorga (alex-mayorga) wrote :

I'm nominating this for Gutsy, it would be nice to have.

Colin Watson (cjwatson) wrote :

There is no need for a specification, bug nomination, or any of the other paraphernalia that people keep trying to apply to this. What is needed is a safe and well-tested set of patches, and assurance that it will not cause problems for any Ubuntu user. That assurance is very difficult to achieve, which is why I'm reluctant to do anything about this bug by default, particularly as we try not to show the grub menu by default anyway. At best, I think this should only be an option.

@Colin

1) So if users want this feature, do they have any other option than to actually make a feature request? I don't think so.

2) According to the new brainstorm page, this feature is in high demand: http://brainstorm.ubuntu.com/idea/21/

3) The assurance you seek is allegedly impossible to achieve and yet other distributions have had this feature for a long time.

4) Without actually trying to use the available code/patches in a pilot programme, a test programme, like the one with NM 0.7, you won't get any feedback and bug reports, so that the alleged problems could be sorted out by paid-for Canonical employees if everyone else is for some reason unwilling to do this because of one reason or another. I think a nice boot menu is long overdue.

5) Of course, stable Ubuntu editions don't display the menu (currently Hardy devel gives 10 seconds of timeout though), but it would be *nice* to have this anyway. Ubuntu users dualboot, tripleboot and having a nice boot menu would be, again, *nice* both for brand recognition and overall polished feel. Sure it's no high priority, but it would be *nice*.

Fred (eldmannen+launchpad) wrote :

I disagree. I oppose this idea.

A boot loader should be minimalistic and as simple as possible.

A boot loader should be silent, stealthy and invisible.
It should not be complex. It should be simple and efficient.

It should get control from the hardware/BIOS then as soon as possible, pass control over to the kernel.

No frills, no bling.

fabioamd87 (fabioamd87) wrote :

you can hide grub, the grub that is now in ubuntu is not simply but ugly.
There is the beauty and the simplicity, and example is gnome.
we dont wont more advanced grub but more beauty grub

ANDREA (andrea54) wrote :

fred: nobody's talking about a grub loader that can basically encrypt a file on your hdd or any other totally unnecessary feature. we're talking about an interface that is visually appealing and the success in this area that other distros have shows that it IS possible. if you're into minimalistic, sure, deactivate it. but if we're trying to make people switch from windows to the ubuntu family well then they're obviously gonna have a microsoft operating system running on the same computer so the grub menu WON'T be hidden, don't kid yourself. and well coming from windows they know one thing: great interface, crappy codebase ... grub's the other way around. why would you want to scare new users off with a great boot loader? for instance, they immediately think "why in all the world do i now have two ubuntu's?" (regular & recovery) ?? etc. so WHY if they're supposed to make the switch make it harder? we, the people who are already "in the know" and everything could easily change it back to minimalistic/"off" (that is, invisible or so) ... still opposed?

@andrea : If I could vote for you being in the ubuntu design team, I would :-) . I agree 100% with what you said.

I agree that this should be taken into consideration. I'm using Ubuntu on dual-boot with Windows, and a nicer bootloader would definitely be a plus - also for new users, who like eye-candy :)
Still noone working on this?

Jean-Paul (jeanpaul145) wrote :

I am aware that it is not feasible for Hardy, and perhaps not even Intrepid to use, but Grub 2 will have graphical boot support out of the box: http://www.gnu.org/software/grub/grub-2.en.html

So perhaps a more temporary solution would suffice?

Tormod Volden (tormodvolden) wrote :

grub2 has been available in Ubuntu for a while, and anyone interested and adventurous can install the package (which replaces the old grub loader). The Hardy package is in pretty good shape, but the Gutsy package is so outdated that I can not recommend it. The more people test it, the better. All development is done in grub2, and few (if any) developers want to "waste" time on the old grub.

Jean-Paul (jeanpaul145) wrote :

In that case I just might try it out in a vm or something, and if it's stable enough for me, I'll switch to it instead of grub.

Asif Youssuff (yoasif) wrote :

grub2 is now the default in karmic, so it will be fairly easy for newer versions of ubuntu to do this. however, now that 10 second boot is a priority for karmic+1, it seems like the idea is to make grub2 as invisible as possible anyway.

will_in_wi (will-in-wi) wrote :

I am not familiar with this, but is it possible to integrate the recently merged kernel mode switching code into grub2? I am thinking that the bios finishes, grub appears with a ubuntu themed background and offers a pretty menu (assuming you dual boot). On selecting Ubuntu, without a mode switch, the menu gives way to the same background with a starting bar on it. Which gives way to GDM and offers a login screen. Ideally, all of these stages would have the same overall theme and would just be displaying different widgets on the screen. For bonus points have the widgets fade in and out.

Is this possible?

It appears that the kernel is now handling some mysterious thing called "mode switching". Having little clue what that means beyond setting the resolution, is it possible for grub to switch the mode the first time and then hand off control to the kernel without the kernel having to reset the mode?

I may be asking a silly question due to no understanding of the tech involved, but I am trying to advance this bug report. This bug was originally filed as a "SUSE has it, we should" bug. For various reasons, it keeps getting put off. Perhaps, we should make a semi-final decision on this, or perhaps use it as an opportunity to raise the bar entirely. The SABDFL talks about being more visually pleasing than Apple. This would be a killer feature.

ANDREA (andrea54) wrote :

I am happy to see that this gets included (actually I saw it yesterday in the newletter). I agree with will_in_wi, a "smooth" transition of the different stages would be great. Even if we neglect the grub2 part, the rest could still be more "in sync" :-) by the way this is definitely not a killer feature as noone will switch from winblows or macosx to linux because the startup is nice but it would still be great to have. i'm very much looking forward to the implementation! (maybe there could be a theme contest or so?)

On Thu, Jun 11, 2009 at 03:27:58AM -0000, will_in_wi wrote:
> I am not familiar with this, but is it possible to integrate the
> recently merged kernel mode switching code into grub2?

GRUB 2 does not use the Linux kernel at all; it is not possible to
integrate Linux kernel modesetting directly. GRUB 2 has its own
graphical terminal support.

The best we can do is to ensure that GRUB 2 remains in graphical mode on
exit (currently, it unconditionally switches back to text mode) if we're
booting a kernel with modesetting support, or perhaps simply a new
enough kernel that knows what to do. However, I would very much
appreciate it if that were addressed in a *separate* bug report; it is
not really directly related to this one.

will_in_wi (will-in-wi) wrote :

Created another bug report suggesting said improvement: https://bugs.launchpad.net/ubuntu/+source/grub2/+bug/386047

Now that grub2 is the default, do we want to mark this as wontfix, or migrate this bug report to the grub2 component?

Colin Watson (cjwatson) wrote :

On Thu, Jun 11, 2009 at 06:11:40PM -0000, will_in_wi wrote:
> Created another bug report suggesting said improvement:
> https://bugs.launchpad.net/ubuntu/+source/grub2/+bug/386047

Thanks.

> Now that grub2 is the default, do we want to mark this as wontfix, or
> migrate this bug report to the grub2 component?

I doubt that we'll take the gfxboot approach, but grub2 has its own
graphics support and so I expect that we'll eventually get something
based on that (although we will still be aiming to have a silent boot
loader by default). I much prefer the idea of an upstream-supported
solution here.

Even if we weren't going to do it, I'd rather leave this bug open;
enough people have been asking for it that, if I closed it, somebody
would just file it again anyway. :-)

Chuck Short (zulcss) on 2009-09-08
Changed in grub (Ubuntu):
assignee: Chuck Short (zulcss) → nobody
Micheal Harker (mh0) on 2010-01-07
Changed in grub (Ubuntu):
assignee: nobody → Micheal_2009 (micheal-harker)
status: New → Confirmed
Jean-Paul (jeanpaul145) wrote :

@Colin Watson: There already *is* an upstream-supported solution: grub2 has support for gfx, which currently is as easy as editing 3 lines (1 for the background image, 2 for the menu text colors) in /etc/grub.d/05_debian_theme. I know this because I've done it.

If a proper background image is made by the Canonical design team and appropriate text colors are used this could fairly easy be fixed I think.

Jean-Paul (jeanpaul145) wrote :

Oh sorry for posting twice in a row but I plainly forgot about this:
No matter how short Ubuntu's total boot time is supposed to be, for dual-boot systems (which is a non-negligible part of Ubuntu's user-base I think) a nice graphical boot screen will always be a want-to-have feature, and a text-only boot menu will continue to scare especially people new to Linux away.

Steve Langasek (vorlon) on 2010-01-07
Changed in grub (Ubuntu):
assignee: Micheal_2009 (micheal-harker) → nobody
Micheal Harker (mh0) on 2010-01-07
Changed in grub (Ubuntu):
assignee: nobody → Micheal_2009 (micheal-harker)
status: Confirmed → In Progress
Colin Watson (cjwatson) wrote :

micheal-harker, I don't recall seeing a patch for this from you. You should only set bugs to in-progress and assign them to yourself if you're actually committing to get a patch through the sponsorship process. Otherwise, please respect Steve Langasek's change and leave this unassigned.

Jean-Paul: Sure, GRUB 2 supports setting a background image, but this is hardly "deluxe and animated like OpenSUSE grub" per the bug title! There has been upstream progress on getting gfxmenu landed in GRUB 2; *that* will be the solution to this bug, not a background image. It may not be for Lucid, but it will happen.

Jean-Paul (jeanpaul145) wrote :

@Colin: Ok, thanks for clearing that up.
I'm also glad to see that Canonical finally understands that it isn't always the best option to bluntly *hide* grub2.
Animated grub2 + plymouth (+ KMS - capable graphics drivers) + gnome 3.x / kde 4.x = a very nice desktop experience =)

Since I haven't heard of any concrete plans of animating Ubuntu's grub2 before this moment, I'll simply assume it will end up happening for Lucid+1.

Colin Watson (cjwatson) wrote :

On Thu, Mar 04, 2010 at 01:55:48PM -0000, Jean-Paul wrote:
> @Colin: Ok, thanks for clearing that up.
> I'm also glad to see that Canonical finally understands that it isn't
> always the best option to bluntly *hide* grub2.

Neither I nor the Canonical design team should be equated with Canonical
as a whole. In any case, what Ubuntu does by default isn't the same as
what users should be able to configure, and I think we've all always
recognised that. That isn't necessarily the same as giving the
configuration high priority, of course ...

It's actually a community contributor, Jo Shields, who's been working on
Ubuntu theming for GRUB's gfxmenu.

Micheal Harker (mh0) wrote :

I have made the patch for Ubuntu 9.10 and Up (a.k.a Grub2) Just download and Install this script. Keep it in a safe place!

http://dl.dropbox.com/u/983756/install-grub-ubuntu.sh Have fun (Its not animated though and Its my first release)

Changed in grub (Ubuntu):
status: In Progress → Fix Released
Pjotr12345 (computertip) wrote :

@Micheal_2009: thanks for your contribution. The bug isn't fixed, though: it's only fixed when it'll be distributed through the normal updates of Ubuntu. So I hope that your proposed fix will be good enough for approval by the developers.

Changed in grub (Ubuntu):
status: Fix Released → Confirmed
Colin Watson (cjwatson) wrote :

Thanks for your contribution, which you're of course welcome to
distribute separately, but I don't think we'll distribute it as part of
the grub2 package and it would not solve this bug even if we did. The
request is for something a little more sophisticated than a background
image, which will be provided based on gfxmenu. As I said, Jo Shields
has been working on a suitable theme in cooperation with upstream.

Nizar Kerkeni (nizarus) wrote :

@Collin : and the new theme is planned for lucid or lucid+1 ?

Colin Watson (cjwatson) wrote :

(My name is Colin, not Collin, BTW - copy and paste may help.)

Not Lucid. I hope to be able to make some improvements in Lucid+1, but
we're in the early stages of planning for that release so I can't say
for certain yet.

Thus may/will be submitted for lucid +1 as I missed the Feature Freeze

On Sun, Mar 28, 2010 at 10:56 AM, Nizar Kerkeni <email address hidden> wrote:

> @Collin : and the new theme is planned for lucid or lucid+1 ?
>
> --
> Ubuntu grub should be deluxe and animated like OpenSUSE grub
> https://bugs.launchpad.net/bugs/3339
> You received this bug notification because you are a bug assignee.
>
> Status in “grub” package in Ubuntu: Confirmed
> Status in “grub” package in Baltix: New
>
> Bug description:
> After installation, the OpenSUSE 10 grub puts up a jpeg background, has an
> animated count down, pop up help, scrolling menus and is generally rather
> beautiful. It would be great if Ubuntu could also use this "deluxe grub"
> where possible too.
>
>
>

Micheal Harker (mh0) wrote :

I have nominated this for Maverick anyone think that we could get it in Maverick?

Tormod Volden (tormodvolden) wrote :

Bug nominations are for backporting a released fix into previous releases through a "Stable Release Update". Since all valid bugs are candidates to be fixed in the current development release, there is no need to nominate for it. Moreover, if you assign the bug to yourself, you are signaling that you are taking care of the bug so that no other developers need to look at it. If you are interested in more information, https://wiki.ubuntu.com/UbuntuDevelopment is a good starting point.

C de-Avillez (hggdh2) wrote :

@MichealH: please only assign yourself to bugs that you are *actively* working on a resolution.

Changed in grub (Ubuntu):
assignee: MichealH (michealh) → nobody
Thomas Hotz (thotz) on 2012-10-02
Changed in grub (Baltix):
status: New → Invalid
Thomas Hotz (thotz) on 2013-05-04
Changed in grub (Baltix):
status: Invalid → New
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers